About PoliCheck

PoliCheck is a proofing and testing tool for geopolitical and cultural terminology, designed to be easy to use and operate in multi-lingual environments. This tool, like many, is a solution in progress and continues to evolve in response to requirements identified by the internal development community. The core development and implementation of PoliCheck is a joint, cooperative effort between the Chinese Technology Group (CTG) in Beijing and Geopolitical Product Strategy (GPS) in Redmond. Tier 1 tool support is provided by Business Group IT (BGIT) and web hosting by the Productivity Tools Team (PTT) [GPS, BGIT, and PTT are divisions of Business Group Productivity Services (BGPS)].

To meet the various requirements of global R&D teams, PoliCheck is designed to recognize many different types of files, system registry tables, and web sites as well, utilizing sensitive terminology tables based on locale-specific language needs. This tool can also be used to search for incorrect terminology that is not geopolitically sensitive (such as "Internet Explorer 5.0" instead of "Internet Explorer 5").


What's New

What's New in PoliCheck 3.x

SQL terminology database

The biggest update in PoliCheck v3.0 is replacement of individual MDB format term tables with a centralized SQL term table database maintained by GPS. PoliCheck users no longer have to download separate MDB term tables or worry about having the latest table in their possession. The SQL term table database is hosted on the PoliCheck server side, and will work on-line together with the PoliCheck client. Users who have personal term tables in the old MDB format can use the "Term Table Upgrade" feature to convert their 2.X MDB file to 3.X format. Another notable feature of the SQL term table database is a new global exclusions list which will greatly reduce the number of false positive hits.

Re-designed Client & Server working model

PoliCheck 3.0 works in a client & server model. The PoliCheck client still needs to be installed on the user's local machine and works on-line together with the PoliCheck server.

The PoliCheck server consists of 2 major components, SQL Server for term table and Web Server for data management. On the other hand, the PoliCheck client contains the Scan Engine, Scan Task Manager, Term Table Editor, on-line Browser, Make Report, etc, working in both GUI and Command-line mode.

PoliCheck Auto-update mechanism

Based on the client & server working model, Auto-update can be supported so that PoliCheck users on the client side will always be able to use the latest version of term tables and scan engine.

Each time you launch PoliCheck, the PoliCheck client will connect to the server side to check the version number of the scan engine. If a newer scan engine is found on the server side, the auto-update mechanism will start to work upgrading your local one automatically.

And also, you don't need to download those separate MDB term tables by yourselves any more as the PoliCheck client will handle this for you, making sure that you always use the latest term tables from the server side.

In GUI mode, auto-update works silently and you don't need to do anything. But, in Command-line mode, PoliCheck will return -2 and also tell you that you need to run CUpdate.bin to upgrade the scan tool from server side.

New file types supported

  • MS VS.NET resources file
  • .NET framework exe file
  • UTF8/16/32 (*.txt)
  • Font file (*.ttf)
  • Update on XML and Win Installer database files

File Scan in Batch File

Previously, only one target file folder could be supported in one scan task. A new feature, File Scan in Batch File, is introduced in PoliCheck 3.0. By this feature, you can list more than one scan target in a batch file, one target for one line. One scan target can be a file or a file folder. When you create a new scan task, you can select this type of file scan and specify the batch file.

Multiple output file formats supported

Besides Excel file, PoliCheck v3.0 supports TXT and XML formats for the scan results output file.

Improved Command Line working mode

Command Line mode is preferred by nearly all power users and it is an easy way to make PoliCheck as a part of the automatic build process of product teams.

Command Line updates:

  • New parameters definition
  • Exit only when scan is complete
  • Exit with a return code
  • Supports all other 3.0 new features as the GUI mode does

Enhanced Term Table Editor

  • Supports the new structure of SQL term tables and works as a browser for the SQL term tables on the server side
  • Supports old term table recognition and upgrade
  • Supports personal/custom term tables in TXT, XML and MDB formats
  • Supports new personal term settings, such as Exception context, Exception file, or both

MS Official List Comparison

This feature allows users to compare their lists, such as a country/region list, against the MS Official Country/Region list maintained by GPS. The MS Official Country/Region list is provided with the tool for comparison with your own country/region list. The comparing result will show you what country/region names in your list should be removed or added. As future MS standards become available (e.g., language, currency, etc.), these will also be available for comparison.

Propose New Term

If you have a term that you think is geopolitically sensitive for your language locale and should be added to the term database, you can send it to GPS via the "Propose New Term" feature in the tool interface. This feature can also be used to propose a new global exclusion to be added to an existing term.

Copy-and-Use Install

Besides Normal Install with a set-up program, PoliCheck 3.0 supports an easy Copy-and-Use Install too. To do that we have removed all registry dependency and made it easier for PoliCheck power users who prefer PoliCheck working as a part of their automatic build process.


Install Location

PoliCheck 3.0 allows 2 types of installation, Normal Install and Copy-and-Use Install.

Normal Install

Launch the PoliCheck setup program from the nearest share to your work site:

  • Redmond, United States at \\sjexbpnftp20\policheck\setup.exe
  • Dublin, Ireland at \\eocbpnftp20\policheck\setup.exe
  • Tokyo, Japan at \\jpbpnftp20\policheck\setup.exe

Copy-and-Use Install (Power Users)

  1. Create a install folder on your local hard-disk, e.g. "c:\policheck3"
  2. Click the link to the nearest share to your work site:
    • Redmond, United States at \\sjexbpnftp20\policheck
    • Dublin, Ireland at \\eocbpnftp20\policheck
    • Tokyo, Japan at \\jpbpnftp20\policheck

  3. Copy all the PoliCheck files from the share to the local install folder that you created in step 1.
  4. PoliCheck 3.0 is now ready to use


Can Microsoft Vendors Use PoliCheck?

Approved Microsoft vendors are allowed to use the PoliCheck tool, under the following strict guidelines:

  • ALL vendors who use PoliCheck must have a signed NDA on file with Microsoft.
  • Vendors must have access to the corporate intranet in order to utilize the central term database. The client-server model of PoliCheck 3.0 and the term database is not available outside the corporate intranet at this time.
  • Individual language term tables should not be distributed directly to vendors.
  • The Simplified Chinese and Traditional Chinese term tables are not to be accessed in China, Taiwan, Hong Kong SAR, or Macau SAR due to their very high sensitivity for this region.


Sensitive Terminology Database

PoliCheck 3.0 uses a centralized, multi-lingual terminology SQL database (formerly known as a "term table", one for each language) for referencing sensitive terms. GPS owns and manages the terms and the PoliCheck term database. The content of the term database is developed with the use of external subject-matter experts selected and employed by GPS.

Term tables are a dynamic resource; they may change frequently in response to new information gathered and analyzed by GPS. The value of PoliCheck 3.0's new term database is that users will always be accessing the most current list of sensitive terms for each supported language. Any feedback that users may have on specific language term tables should be directed to PoliCheck Support.

In addition to terms provided in the database, you can create or modify your own Term Table file. It is highly recommended that teams use the provided term tables "as is", without modification -- unless errors or additional terms are found. If the term database is lacking a term that you feel should be added, please use the "Propose New Term" feature.

PoliCheck will be able to find the sensitive terms in your product(s) as specified in the term database. However, interpreting the results of a PoliCheck scan is just as critical. Users must be very careful as to how they handle the occurrences found, and deal with them appropriately, each within the context of their product and intended market. The terms in the database contain specific guidelines to help you in this decision-making process, but if you are unsure about a term's specific application, please avail yourself of the online resources on http://GPSweb/ first and then contact GPS (via PoliCheck Support) for advice on how to solve specific issues that arise.

In order to reduce the occurrence of false positive hits, a global exclusion list maintained by GPS is now available. It is highly recommended that all users employ the global exclusion list at all times in order to reduce false positives. Also, we strongly encourage users to submit new exclusions to GPS so that your findings can be leveraged by all PoliCheck users.


Scan Focus of PoliCheck

File Scan
Search into file content for sensitive terminology. Currently, more than 28 different file groups are supported in PoliCheck, including compressed or uncompressed files. PoliCheck v3.0 supports single target scan as well as multiple targets scan in a batch file.

Registry Scan
Search through system registry table for sensitive terminology.

Web-site Scan
Search through on-line web sites for sensitive terminology.

MS Official List Comparison
This feature allows users to compare their lists, such as a country/region list, against the MS Official Country/Region list maintained by GPS. The MS Official Country/Region list is provided with the tool for comparison with your own country/region list. The comparing result will show you what country/region names in your list should be removed or added. As future MS standards become available (e.g., language, currency, etc.), these will also be available for comparison.


Supported File Types

The following file types are supported by PoliCheck. If you wish to scan a file format not found in this list, please contact PoliCheck Support to request that your format be included.
File Category | File Extension Name
Access Database | MDA, MDB, MDE, MDT, MPD
Adobe Acrobat | PDF
Answer Wizard | AW
Binary File | COM, BIN
Cabinet File | CAB, *_
Excel Workbook | XLS, XLT
HTML File and Web Page | ASP, CSS, DTD, HHC, HHK, HTC, HTM, HTML, HTX, HXA, HXC, HXE, HXI, HXK, HXL, HXM, HXT
HTML Help v1.0 File | CHM
HTML Help v2.0 File | HXH, HXS, HXV, HXW, ITS
IExpress | EXE
IME File | IMD
LocStudio Resource Database | EDB, LSG
MS VS.NET Resources | RESOURCES
MS compression File | EX_, DL_, CH_, IN_, etc.
.Net Framework Executable | DLL, EXE
Outlook Mail* | OFT, MSG
PPT Presentation | PPT, POT, PPS
Project* | MPP, MPT
Publisher | PUB
Pure Text File | ASM, BAT, INF, INI, LOG, CPP, C, CXX, H, HXX, HPJ, HPP, HXX, RC, DEF, DES, JAV, JAVA, JS, POC, PWD, PWT, TXT, URL
Rich Text File | RTF
System Registry | Registry
Table Driven IME | MB
TrueType Font | TTF
Web Site | Web site
Win32/64-based Executable (image) File | FON, DLL, OCX, SCR, IME, CPL
Windows Installer Database | MSI, MSM
Windows 3.x Write File | WRI
WinHelp File | HLP
Word Document | DOC, DOT, WIZ
XML | resX, XML, XSL
Zip File | ZIP

* Note: You must have Outlook or Project installed if you want to scan Outlook or Project files.


Tool Support

For any questions or suggestions on the PoliCheck tool, questions about using, modifying, or creating geopolitical term tables, or about using PoliCheck as part of your geopolitical risk assessment strategy, please contact PoliCheck Support.


Why Use PoliCheck?

Microsoft has experienced many problems in trying to identify and remove very sensitive or incorrect cultural and geopolitical terms from its software. When terminology and other politically- and culturally-sensitive content is not proactively identified and repaired,

Microsoft can experience market-, brand-, and corporate-damaging results. Past oversights in Microsoft products have outraged the consumers and local governments, have caused outright bans on Microsoft software, and have even caused Microsoft personnel to be questioned and even arrested. This is a very serious matter, and must be handled with the utmost caution.

To prevent these market-damaging events and potential loss of sales, GPS promotes the proactive use of the PoliCheck tool as part of a broader geopolitical risk assessment strategy (see About Geopolitical Risk Assessment topic) for all Microsoft products.

It is highly recommended that all Microsoft product teams -- in all locales -- use PoliCheck to find sensitive terminology and consult with the GPS group to resolve any resultant content issues. The diligent use of PoliCheck is a PIRS checklist item for product release -- so beyond being just a prudent idea, running PoliCheck is a matter of corporate process.


Interpreting PoliCheck Results

The careful interpretation and application of PoliCheck's scan results are a critical part of the overall PoliCheck solution. After a scan is complete, 2 primary analyses need to be performed:

  1. Examine the term's context and apply the appropriate recommendation.
  2. Examine the overall results for false positive hits. These hits can be eliminated by creating term exclusions and running the tool again.

PoliCheck can find the sensitive terms and provide usage recommendations, but it is up to you, the tool user, to effectively interpret and apply these guidelines to your content. Leveraging the knowledge of its external experts, GPS has provided detailed, context-specific solutions for each term (currently in English only -- other languages are forthcoming). GPS also provides supporting information on its web site. Please refer to Article 1263 in the GPS Knowledge Base for more information about how to effectively interpret PoliCheck results and avoid false positives.


About Geopolitical Risk Assessment

Geopolitical Risk Assessment is the name for the strategy GPS is promoting for proactively addressing sensitive and/or potentially damaging content in Microsoft products. In short, it is the process of specifying and subsequently testing a product to minimize geopolitical risk and resolving all severity 1 (ship-stopper) geopolitical bugs prior to RTM/W. This means that teams must account for specific issues in the product's intended locale(s) against all content types in their product (text, icons, maps, flags, etc.). Geopolitical risk assessment requires each and every product team to take responsibility for their content, functionality, and intended use to ensure that their product cycle accounts for the required geopolitical testing.

Every person, functional group, and product team must do their part to ensure that geopolitical risk is minimized or eliminated before RTM/W.

For those not familiar with the nature of geopolitical risk, GPS encourages users to utilize the Risk Awareness Wizard. This brief online wizard will step you through a series of 10 questions and provide a geopolitical readiness score when complete. While this is not intended as a comprehensive source for all risk assessment needs, it can provide you with a general idea of how well your product is prepared to address geopolitical issues. For more detailed information about geopolitical risk assessment, visit GPS web or contact GPS (via PoliCheck Support).


Ship-Stoper Bug

What is a Ship-Stopper Bug?

A ship-stopper bug, identified in the PoliCheck term database as a Severity 1 term, is a hot geopolitical or cultural issue that meets one or more of the following conditions:
  1. The issue clearly violates official corporate policy for this locale/issue/product (see http://gpsweb/ for existing official policies).
  2. The issue clearly violates official local government policy and will evoke a negative reaction (product bans, negative PR, personnel arrest).
  3. The issue is a known sensitive problem to the local government and/or local consumers and will evoke a negative reaction.

The core purpose of geopolitical risk assessment is to determine if an issue is a ship-stopper. Most typically, if an issue reaches the risk assessment phase, it is probably a severity 1 ship-stopper that needs to be addressed immediately. When in doubt (and after exhausting all online resources), product teams should contact GPS (via PoliCheck Support) immediately to determine if their PoliCheck results constitute a ship-stopping bug.


What is the Term Class Feature about?

The Term Class feature allows the PoliCheck user to select what category or categories of terms they want to emphasize during a particular PoliCheck review pass. Not all term tables feature every category of term. By default, PoliCheck utilizes all classes in the term table when performing a scan; the user must turn off the categories they do not wish to employ in their scan. The following are the category names and descriptions that are currently available to select from:

  • Geopolitical: Any term that has an overt geopolitical/geographic cause/effect, related to international affairs, local and international politics, disputed areas, country names, regional terms, etc.
  • Cultural: Any term without an overt geopolitical/geographic source/connotation, but refers to any aspect of the culture of a specific place. Examples would include religious terms, local practices, language issues, gender issues, ethnic issues, etc. - all as they relate to a local culture.
  • Slang: Any term specifically used as profanity, slang, and/or as derogatory; not to be confused with broader cultural terms.
  • Diversity: Any terms specifically contributed by the MS Diversity group (English term table only) or focused on Diversity issues; any overlap with the above classes will be resolved in favor of the Diversity term.
  • Accessibility: Any terms specifically contributed by the MS Accessibility group (English term table only) or focused on Accessibility issues; any overlap with the above classes will be resolved in favor of the Accessibility term.
  • Microsoft: Any terms specifically contributed by all other Microsoft groups. Strictly for Microsoft-relevant content, such as product/brand name changes, standardized company terminology, strict Microsoft style guide terms, etc.


Join the PoliCheck Users DL

The PoliCheck Users distribution list (polichek) was created to inform PoliCheck users about new terms when they become available in the database as well as notify about tool updates. All users of the PoliCheck tool are strongly encouraged to add themselves using http://autogroup to the polichek alias as the primary means to stay informed.


Join the PoliCheck Discussion Forum

The PoliCheck Discussion Forum (poliform) was created to focus on the code-based geopolitical risk assessment strategy - PoliCheck. The PoliCheck tool as well as the PoliCheck term database are open for discussion. All users of the PoliCheck tool are strongly encouraged to add themselves using http://autogroup to the poliform alias and be a part of sharing best practices and helping to shape the future of this tool.


File Scan

New scan task

Click the "New Task" button on the tool bar or select menu item "new" under "Task".

Scan Task setting

On the setting dialog, you need 2 steps to finish the task settings:

Step 1: Define Task

  • Scan type
    Select "File Scan".
  • Task name
    PoliCheck will give you a default task name here, such as NewTask1. You can change this to whatever you prefer.
  • Language of Target
    Select the language of your target file. The language selection is by LCID.
  • Target
    PoliCheck 3.0 allows 2 types of file scan,
    1. Scan by File folder
      Specify the path of your target files in the input box under Target.
    2. Scan by Batch file
      Specify the batch file containing all your target folders in the input box under Target.

  • Save result to
    Specify the output file name and location for saving the scan results.
  • Settings
    1. Include sub-directories
      Default setting is checked that PoliCheck will scan all the sub directories under your target folder.
    2. Skip unchanged file
      This option allows you to skip unchanged files if you re-run an existing scan task. This is the feature of PoliDiff that can save more scanning time in your daily PoliCheck scan. Please note, to make this feature take effect, you can not change any settings of the existing scan task except for your file path in Target field. The reason is that we suppose you have different folders for different builds of a same product.
    3. Log last scanning object
      PoliCheck will always write a runtime log file if this option is selected. The log file, named taskname.log, contains only the last scanning object with some other task setting formation.

Step 2: Select Language

  • Term Source
    1. SQL Term DB
    2. Personal term table
    3. Keyword(s)

  • Term Filter
    This Term Filter works with the SQL term database only, allowing you to select different level of term severity and term class.
  • Global Exclusion settings
    This Global Exclusion setting works with the SQL term database only, allowing you to enable or disable Exclusion string or Exception context.
  • Personal Exclusion settings
    This Personal Exclusion setting works with personal term table only, allowing you to enable or disable Exclusion string, Exception file, Exception context, or both Exception file and context.


Website Scan

New scan task

Click the "New Task" button on the tool bar or select menu item "new" under "Task".

Scan Task setting

On the setting dialog, you need 2 steps to finish the task settings:

Step 1: Define Task

  • Scan type
    Select "Web Site Scan".
  • Task name
    PoliCheck will give you a default task name here, such as NewTask1. You can change this to whatever you prefer.
  • Language of Target
    Select the language of your target file. The language selection is by LCID.
  • Target
    Specify the URL of the target web site that you want to take a web scan.
  • Save result to
    Specify the output file name and location for saving the scan results.
  • Settings
    1. Skip unchanged file
      This option allows you to skip unchanged files if you re-run an existing scan task. This is the feature of PoliDiff that can save more scanning time in your daily PoliCheck scan. Please note, to make this feature take effect, you can not change any settings of the existing scan task except for your file path in Target field. The reason is that we suppose you have different folders for different builds of a same product.
    2. Log last scanning object
      PoliCheck will always write a runtime log file if this option is selected. The log file, named taskname.log, contains only the last scanning object with some other task setting formation.
    3. Web Depth
      Specify how deep you want to search into the web site.

Step 2: Select Language

  • Term Source
    1. SQL Term DB
    2. Personal term table
    3. Keyword(s)

  • Term Filter
    This Term Filter works with the SQL term database only, allowing you to select different level of term severity and term class.
  • Global Exclusion settings
    This Global Exclusion setting works with the SQL term database only, allowing you to enable or disable Exclusion string or Exception context.
  • Personal Exclusion settings
    This Personal Exclusion setting works with personal term table only, allowing you to enable or disable Exclusion string, Exception file, Exception context, or both Exception file and context.


Registry Scan

New scan task

Click the "New Task" button on the tool bar or select menu item "new" under "Task".

Scan Task setting

On the setting dialog, you need 2 steps to finish the task settings:

Step 1: Define Task

  • Scan type
    Select "Registry Scan".
  • Task name
    PoliCheck will give you a default task name here, such as NewTask1. You can change this to whatever you prefer.
  • Language of Target
    Select the language of your target file. The language selection is by LCID.
  • Target
    Specify the path of the target registry that you want to take a Reg scan.
  • Save result to
    Specify the output file name and location for saving the scan results.
  • Settings
    1. Skip unchanged file
      This option allows you to skip unchanged files if you re-run an existing scan task. This is the feature of PoliDiff that can save more scanning time in your daily PoliCheck scan. Please note, to make this feature take effect, you can not change any settings of the existing scan task except for your file path in Target field. The reason is that we suppose you have different folders for different builds of a same product.
    2. Log last scanning object
      PoliCheck will always write a runtime log file if this option is selected. The log file, named taskname.log, contains only the last scanning object with some other task setting formation.

Step 2: Select Language

  • Term Source
    1. SQL Term DB
    2. Personal term table
    3. Keyword(s)

  • Term Filter
    This Term Filter works with the SQL term database only, allowing you to select different level of term severity and term class.
  • Global Exclusion settings
    This Global Exclusion setting works with the SQL term database only, allowing you to enable or disable Exclusion string or Exception context.
  • Personal Exclusion settings
    This Personal Exclusion setting works with personal term table only, allowing you to enable or disable Exclusion string, Exception file, Exception context, or both Exception file and context.


MS Official List Comparison

MS Official List

Click "Official List Compare" button on the tool bar or select menu item "Official List Compare" under "Tools".

Official List Comparison

  • Microsoft Official Lists
    Currently only one official list is provided, the Official Microsoft Country/Region List - in English.
  • Compare with
    Click and select the list you wish to compare against the Official List.
  • Save As
    Define the name of the results report and the location where you want to save it.


File Type Setting

You can get "File Type Setting" by clicking the button on the tool bar or the menu item "File Type Setting" under "Option". In this dialog, PoliCheck allows you to customize the file scan settings.

File Type Filter
Currently there are 28 major file groups supported in PoliCheck, and each file group contains a few file types with different extension names. Those files in a same file group have the same or similar file format with each other. By File type filter, you can check or uncheck each file group or each specific file type to scan or skip scan.

File Extension to Add
By File Extension to add, you can add more new extension file names into a file group, and the added new files will be treated in the same way with other files grouped together.


Term Table Editor

Term Table Editor allows you to browse and save-as the SQL term table from server side, and also allows you to create, edit, or add some personal term settings to a personal term table. You can get to the editor by clicking the toolbar button or selecting the menu item "Term Table Editor" under "Tools".

Open SQL term database
Select menu item "Open SQL term DB" under "File", and a language list dialog will pop up for your choice. Select one, such as "English", the English term list will be loaded into the editor window. You can browse, edit and save-as to your local machine, but you cannot save the changes back to SQL server database. Any changes desired to the central term database must be submitted through GPS (via PoliCheck Support) or using the Propose New Term feature.

Global Exclusion setting
Global Exclusion setting supports the following exclusion settings:

  1. Exclusion string
  2. Exception context

Personal Exclusion setting
Personal Exclusion setting supports the following exclusion settings:

  1. Exclusion string
  2. Exception context
  3. Exception file
  4. Exception context and file

Whole word only
Whole word only is the default setting. You can check or uncheck for each term.

Case sensitive
"Case insensitive" is the default setting. You can check or uncheck for each term.

Term Table Upgrade
Select the menu item "Term Table Upgrade" under menu "Tools", and you can import an existing MDB term table in old structure, and then save it in a new v3.0 term table structure and also 3 file formats, TXT, MDB and XML, are supported through the save-as.


Scan Task Manager

In the task list area, you can see all the tasks you have created. For each task, the Task Manager shows you the task settings and status for your information.

Task
Task name.

Type
Three types could be here: File scan, Reg scan, or Web scan.

Target
The scan target, a file folder, a registry root, or a web site address.

Size
The size of the scan target, typically it's the file numbers of the scan folder.

Unit
For File scan or Web scan, it's File. While, for Reg scan, it's Item.

Progress
Scan progress in percentage.

Start time
The start date and time of the scan task.

Duration
Time used for the scan.

Occurrences
Occurring times of the sensitive terms in the scan task.


Scan Results Browser

In the browsing window, you can see both Result Report and Scan Log of the currently highlighted scan task.

Result Report

Result Report window shows you the details of what term was found in what object, and the context of each occurrence.

  • Severity 1 (Ship-Stopper) Terms
    Severity 1 terms that are considered must fix ship-stoppers will be displayed in Red in the browsing window.
  • Replacement Guide
    PoliCheck v3.0 added a new sub window of Replacement Guide. In this sub window, for each highlighted term, you can get to know its sensitive contexts and recommended actions.
  • Quick View
    In the browsing window, for text-based file, you can double click the browsing item or right click for a Quick View of the file content. There is also a Quick View button on the tool bar.
  • Add Exclusion String
    You can easily add the context in this window as the term's exclusion string by right-click or the Add button on the toolbar.
  • Unchanged File
    PoliCheck will skip those unchanged files if you check Skip-unchanged-file when creating a new scan task. And also, unchanged files will be shown in gray in the on-line browsing window.

Scan Log

The scan log shows the status of each object during or after the scanning.

  • Status
    Status | Description
    Failed | file type supported but failed to be scanned
    Scanned | file type supported and successfully scanned
    Unchanged | no scan happened if the file you want to scan has been unchanged from last time
    Unsupported | file type unsupported
  • Occurrences
    Occurring times of the reported sensitive terms


Make Report

PoliCheck allows you to save the scan results in XML, TXT as well as Excel file.

Result file on New Task dialog

Actually, when creating a new task you should specify the result file name and location in advance.

Save to file

When you click the "Save Report to File" button on the tool bar or select the menu item "Save to file" under "Report", a dialog will pop up for your save-as:

Print preview

Print preview with the scan results.

Print

Print the scan results in report format.


Command Line Usage

Command Line format

PoliCheck target [terms] [result] [options]

Target: Specifies the scan type and target.
/TASK:taskfile | Use task settings saved in a task file.
/F:path | filename | Specifies root folder[or file] of a file scan.
/R:registry-entry | Specifies root registry entry of a registry scan.
/W:URL | Specifies root URL of a WEB scan.
/FL:file | Specifies a batch file, list all target files to be scanned.

Terms: Specifies the term-table.
/T:LCID1,LCID2... | Use term-tables from the server.
/T:file1,file2... | Use local term-table files.
/K:key1,key2,... | Use keywords.

Result: Specifies the result file. Valid format is [*.txt | *.xls | *.xml]
/O:file Result file name.

Options: Scan settings.
/L:LCID | Set the language of the scan target.
/D:number | Set the scan depth in web scan.
/E:1 | 0 | Use the exclusion rule or not. Default is on.

Command Line return code

Return code | Comments
0 | Scan success
1 | Scan failed
2 | Can not download term table from server
-1 | Invalid parameters
-2 | A newer version of PoliCheck scan engine is detected on server side, and you need to run CUpdate.bin to upgrade your local one.


Propose New Term

Select the menu item "Propose New Term" under "Tools", and a New Term template dialog will pop up:

You need to fill in the necessary fields to provide as detailed information as possible. Click "Submit" button, and your feedback will be forwarded to GPS.

This feature can also be used to propose a new exclusion to one of the terms in the global exclusion list. If you find a new exclusion, it is highly recommended that you forward it to GPS so that your finding can be leveraged by all PoliCheck users and thus further reduce false positive hits.